# `command`

The command module is accessible via the `sqlobject.manager` module.

## Attributes

#### a `the_runner`

    <sqlobject.manager.command.CommandRunner object at 0xa3e63cc>

#### a `__package__`

    'sqlobject.manager'

#### a `appconfig`

    None

## Functions

#### f `nowarning_tempnam(*args, **kw)` ...

#### f `db_differences(soClass, conn)` ...

Returns the differences between a class and the table in a connection. Returns [] if no differences are found. This function does the best it can; it can miss many differences.

#### f `register(self, command)` ...

#### f `standard_parser(connection=True, simulate=True, interactive=False, find_modules=True)` ...

#### f `update_sys_path(paths, verbose)` ...

## Classes

#### C `SQLObjectVersionTable(...)` ...

This table is used to store information about the database and its version (used with record and update commands).

This class contains 19 members.

#### C `CommandRunner(...)` ...

This class contains 7 members.

#### C `Command(...)` ...

This class contains 29 members.

#### C `CommandSQL(...)` ...

This class contains 32 members.

#### C `CommandList(...)` ...

This class contains 32 members.

#### C `CommandCreate(...)` ...

This class contains 32 members.

#### C `CommandDrop(...)` ...

This class contains 32 members.

#### C `CommandStatus(...)` ...

This class contains 33 members.

#### C `CommandHelp(...)` ...

This class contains 32 members.

#### C `CommandExecute(...)` ...

This class contains 33 members.

#### C `CommandRecord(...)` ...

This class contains 39 members.

#### C `CommandUpgrade(...)` ...

This class contains 43 members.

See the source for more information.